### Function

# Soup cookies_to_request

since: 3.0

#### Declaration [src]

    void
    soup_cookies_to_request (
      GSList* cookies,
      SoupMessage* msg
    )

#### Description [src]

Adds the name and value of each cookie in `cookies` to `msg`‘s “Cookie” request.

If `msg` already has a “Cookie” request header, these cookies will be appended to the cookies already present. Be careful that you do not append the same cookies twice, eg, when requeuing a message.

Available since: 3.0

#### Parameters

`cookies`

  Type: A list of `SoupCookie*`

  A `GSList` of `SoupCookie`.

  The data is owned by the caller of the function.

`msg`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the function.